## org.jfree.chart.urls
Interface PieURLGenerator

All Known Implementing Classes:
  CustomPieURLGenerator, StandardPieURLGenerator

    public interface PieURLGenerator

Interface for a URL generator for plots that use data from a `PieDataset`. Classes that implement this interface:

- are responsible for correctly escaping any text that is derived from the dataset, as this may be user-specified and could pose a security risk;
- should be either (a) immutable, or (b) cloneable via the `PublicCloneable` interface (defined in the JCommon class library). This provides a mechanism for the referring plot to clone the generator if necessary.

Method Summary
`java.lang.String` `generateURL(PieDataset dataset, java.lang.Comparable key, int pieIndex)` Generates a URL for one item in a `PieDataset`.

Method Detail

### generateURL

    java.lang.String generateURL(PieDataset dataset,
                                 java.lang.Comparable key,
                                 int pieIndex)

  Generates a URL for one item in a `PieDataset`. As a guideline, the URL should be valid within the context of an XHTML 1.0 document.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `key` - the item key (`null` not permitted).
    `pieIndex` - the pie index (differentiates between pies in a 'multi' pie chart).
  Returns:
    A string containing the URL.